outlets = 3;

var a = 1.4
var b = 0.3;
var x = 0.0;
var y = 0.0;
var xnew = 0.0;
var ynew = 0.0;
var counter;

var bigfreqarr = [];

function map(v, inlo, inhi, outlo, outhi) {
	var frac;

	frac = (v - inlo)/(inhi - inlo);
	return(frac*(outhi - outlo) + outlo);
}

function init() {
	bigfreqarr = new Array(200);
	for (var i = 0; i < 200; i = i+1) {
		bigfreqarr[i] = new Array(200);
		for (var j = 0; j < 200; j = j+1) {
			bigfreqarr[i][j] = 0;
		}
	}
	counter = 0;
}

function bang() {
	var xval, yval;

	if (counter == 0) {
		xnew = y - (a*(x*x)) + 1.0;
		ynew = b * x;

		xval = map(xnew, -1.3, 1.3, 0, 200);
		yval = map(ynew, -0.4, 0.4, 200, 0);
	
		bigfreqarr[Math.floor(xval)][Math.floor(yval)] = 1;
		
		outlet(0, "paintoval " + xval + " " +
				yval + " " + (xval+3) + " " +
				(yval+3) + " 255 0 0");
	} else {
		outlet(1, counter);
	}

	counter = counter + 1;
	if (counter >= 200) counter = 0;

	x = xnew;
	y = ynew;
		
	for (var i = 0; i < 200; i = i+1) {
		if (bigfreqarr[counter][i] == 1) {
			var freq = map(i, 0, 200, 1000, 0);
			outlet(2, "var 1 " + freq);
		}
	}
}
